Loading...
Searching...
No Matches
Exiv2::TagInfo Struct Reference

Tag information. More...

`#include <tags.hpp>`

## Public Member Functions

| TagInfo (uint16_t tag, const char *name, const char *title, const char *desc, int ifdId, int sectionId, TypeId typeId, int16_t count, PrintFct printFct)
| Constructor.

## Public Attributes

uint16_t | tag_
| Tag.
const char * | name_
| One word tag label.
const char * | title_
| Tag title.
const char * | desc_
| Short tag description.
int | ifdId_
| Link to the (preferred) IFD.
int | sectionId_
| Section id.
TypeId | typeId_
| Type id.
int16_t | count_
| The number of values (not bytes!), 0=any, -1=count not known.
PrintFct | printFct_
| Pointer to tag print function.

## Detailed Description

Tag information.

The documentation for this struct was generated from the following files:

- tags.hpp
- tags.cpp